DELETE
/
v1
/
account
/
payment_methods
/
{payment_method_id}
Delete Payment Method
curl --request DELETE \
  --url https://api.bolt.com/v1/account/payment_methods/{payment_method_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
{
  "errors": [
    {
      "code": 2001005,
      "message": "The input is missing a required parameter."
    }
  ],
  "result": {
    "success": false
  }
}

Authorizations

Authorization
string
header
required

Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs. For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}. Read more about the OAuth token endpoint.

X-API-Key
string
header
required

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

Headers

X-Publishable-Key
string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].

Path Parameters

payment_method_id
string
required

The ID for a payment method in the shopper's Bolt account Wallet. This ID can be obtained using Get Account Details.

Response

Success